﻿/*
Copyright(c) 2017 株式会社トラスト・ソフトウェア・システム
無断転載を禁止します。
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PDFTools.PdfImagerLP;

namespace ImagerApp
{
	public partial class FontInfoDlg : Form
	{
		public PrsFontName[] fontName;

		public FontInfoDlg(PrsFontName[] fn)
		{
			InitializeComponent();
			fontName = fn;
		}

		private void FontInfoDlg_Shown(object sender, EventArgs e)
		{
			string[] item = new string[4];
			for (int i = 0; i < fontName.Length; i++)
			{
				item[0] = fontName[i].pageNum.ToString();
				item[1] = fontName[i].fontId;
				item[2] = fontName[i].embedded == 1 ? "埋込" : "非埋込";
				item[3] = fontName[i].fontName;
				fontNameLv.Items.Add(new ListViewItem(item));
			}
		}
	}
}
